-- FirstStage generated output file
require( "scripts/style.lua" );

SetDefaultStyle( DefaultStyle );

local accept_button_label ="ok" ;	
local accept_button_name="OK";

MakeDialog
{
	Bitmap
	{
			image = "backgrounds/speedmenu",
			name = "tip_background",
			x = kCenter,
			y = kCenter,

      TipDialog
      {
	    name = "TipDialog",
        x = 0,
        y = 0,
        w = kMax,
        h = kMax,
		tuto_name = gDialogTable.tuto_name,
		hasnext = gDialogTable.next,
  		SetStyle( OptionsValidationButtonStyle ),
		Button
		{
			--close = true,
			flags = 5,
			label = "ok",
			name = "OK",
			x = kCenter,
			y = kMax-90,
			command = 
				function()
					FadeOut();
				end
		},
		SetStyle( MenuAnimaticStyleLeft ),
		Button
		{
			name = "previous",
			x = kCenter-250,
			y = kMax-90,
			command = function()
						PreviousTip();						
					  end
		},
		SetStyle( MenuAnimaticStyle ),		
		Button{
				name="next",
				x=kCenter+300,
				y=kMax-90,
				w=175,
				command =
					function()
						NextTip();
					end
			};

		SetStyle( DialogTitleText ),
		Text{ name = "title",label="tip" },
		SetStyle( DialogBodyText ),
		Text
		{
			name = "text",
			x = 50,
			y = 80,
			w = kMax -50,
			h = kMax - 90,
			label = "",			
		},
       },
	},
}

gDialogTable = {}
